Skip to main content
GET
Get File Request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

requestId
string
required

ID of the File Request to retrieve

Example:

"frq_abc12345678"

Response

The requested File Request

File Request

id
string

ID of the File Share, always starting with frq_.

Example:

"frq_abc12345678"

name
string

The name of the file request to recognize it in your managing portal

Example:

"Contract renewal"

description
string | null

The description of why you need the file(s). This will be shown to the person uploading the files

Example:

"We need these files to complete your contract renewal"

directoryId
string | null

The ID of the directory where the uploaded files should be put it, if set.

Example:

"fsd_abc123456789"

customerId
string | null

The ID of the customer you want to request the files from. Will be null when requested via public link

Example:

"cst_abc123456789"

requestedFiles
object[]

An array of file request data of the files you want to receive. You can request upon 10 files per File Request.

completedAt
string | null

Date and time when the files in the request were provided. Written in ATOM format. null when the files are not provided yet.

Example:

"2024-04-29T21:00:00+02:00"

createdAt
string

Date and time when the File Request was created. Written in ATOM format.

Example:

"2024-04-29T21:00:00+02:00"